MariaDB 10.1

Moodle telepítési probléma

  • Beküldve: 2015. december 18, 12:36
  • Szerző: Bolemányi Attila

A telepítés egyszerű rutinfeladat tűnt, azonban mindig akadhatnak apróbb döccenők, mint ahogyan az jelen esetben is történt. A következő komponensekből építkeztünk:

  • Debian Jessie 8.2
  • Apache 2.4
  • PHP 5.6
  • MariaDB 10.1
  • Moodle 3.0

A telepítés során kapásból MariaDB-t telepítettünk a MySQL helyett, és a Moodle volt az első alkalmazás, amely helyet kapott a szerveren. Azonban a Moodle telepítése közben az alábbi hibaüzeneteket kaptuk a böngészőben:

MySQL cseréje MariaDB kiszolgálóra

  • Beküldve: 2015. december 11, 13:32
  • Szerző: Bolemányi Attila

Számos oka lehet annak, ha valaki szeretné a MySQL kiszolgálóját MariaDB-re cserélni, és ezt nem csak a MariaDB fejlesztői gondolják így. Mielőtt azonban nekilátnánk, érdemes átnézni a kompatibilitási kérdések sorát is. Mivel azonban az ígéret szerint - legalábbis egyelőre - a binárisok szintjén a két rendszer kompatibilis egymással, nem okozhat túl nagy fájdalmat a csere. Ezt a folyamatot jártuk körül egy korábbi blogbejegyzésben már összeállított Debian Jessie webszerver esetében, amelyre azóta került egy ILIAS és egy Moodle e-learning keretrendszer is. Az átállás nem volt zökkenőmentes, bár már többször is sikerült minden gond nélkül megcsinálni, igaz, akkor MySQL 5.6-os kiszolgálókat cseréltünk MariaDB 10.0-ás rendszerekre, amelyeket aztán később frissítettünk MariaDB 10.1-re. Most azonban a Debian Jessie terjesztésben található MySQL 5.5-ös változatot fogjuk egyetlen lépésben lecserélni a MariaDB 10.1-es kiszolgálójára.